﻿using Syncfusion.Pdf.Parsing;
using Syncfusion.Windows.Forms.PdfViewer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Windows.Forms;

namespace PDFViewDemo.Controllers
{
    public class PDFDemoController : Controller
    {
        //
        // GET: /PDFDemo/

        public ActionResult Index()
        {
           return View();

        }
        public ActionResult Print()
        {
            PdfViewerControl pf = new PdfViewerControl();
            PdfLoadedDocument ldoc = new PdfLoadedDocument(Helper.GetFilePath("HTTP Succinctly.pdf"));
            pf.Load(ldoc);
            PrintDialog dialog = new PrintDialog();
            dialog.AllowPrintToFile = true;
            dialog.AllowSomePages = true;
            dialog.AllowCurrentPage = true;
            dialog.Document = pf.PrintDocument;
            dialog.Document.Print();
            return View();
        }      
    }
}


