#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Newtonsoft.Json;
using Syncfusion.EJ.PdfViewer;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Windows.Forms.PdfViewer;
using System.Windows.Forms;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web;
using System.Web.Http;

namespace PDFViewDemo.Controllers
{
    public class PdfViewerController : ApiController
    {
        public object PostViewerAction(Dictionary<string, string> jsonResult)
        {
                PdfViewerHelper helper = new PdfViewerHelper();
                if (jsonResult.ContainsKey("isInitialLoading"))
                {            

                helper.Load(Helper.GetFilePath("HTTP Succinctly.pdf"));               
                }
            return JsonConvert.SerializeObject(helper.ProcessPdf(jsonResult));
        }
    }

    public class Helper
    {
        public static string GetFilePath(string path)
        {
            string _dataPath = GetCommonFolder(new DirectoryInfo(HttpContext.Current.Request.PhysicalApplicationPath));
            _dataPath += @"\" + path;
            return _dataPath;
        }

        static string GetCommonFolder(DirectoryInfo dtInfo)
        {
            var _folderNames = dtInfo.GetDirectories("Data");
            if (_folderNames.Length > 0)
            {
                return _folderNames[0].FullName;
            }

            return dtInfo.Parent != null ? GetCommonFolder(dtInfo.Parent) : string.Empty;
        }
    }
}